<?php

$from_name  = htmlspecialchars( $_POST['name'] );
$from_email = htmlspecialchars( $_POST['email'] );
$project    = htmlspecialchars( $_POST['project'] );
$comment    = htmlspecialchars( $_POST['comment'] );

$error = '';

//validate fields
if($_POST['name'] == '' OR $_POST['name'] == 'Name'){
    $error .= 'Please enter your name! <br>';
}

if($_POST['email'] == '' OR $_POST['email'] == 'E-mail'){
    $error .= 'Please enter your email! <br>';
}elseif( !preg_match('|^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}$|i', $_POST['email']) ){
    $error .= 'Your email address is not valid. <br>';
}


if($error != ''){
    echo json_encode(array('sent' => 0, 'message' => $error ));
}else{
    $to ='yahoo.com';
    $subject ="QuickQuote - Elemental";

    $message = "\n\nProject: " . $project . "\n\nMessage: \n" . $comment;

    //$message = 'Project: ' . $_POST['project'] . '. Message:' . $_POST['message'];
    //$header = "from: " . $_POST['name'] . " <" . $_POST['email'] . ">";

    $headers = 'From: '.$from_name.'<'. $from_email .'>'."\r\n".
    'Reply-To: '.$from_email."\r\n" .
    'X-Mailer: PHP/' . phpversion();


    if(@mail($to, $subject, $message, $headers)){
        echo json_encode(array('sent' => 1, 'message' => "Thank you! We will contact you as soon as possible" ));
    }else {
        echo json_encode(array('sent' => 0, 'message' => "Error: Please try again later!" ));
    }
}
